Subject: Re: spurious fail of git merge after rebasing

From: Danny van Delft <[email-masked]>
Date: Mon, 18 Apr 2011 09:37:33 +0200

Added attachment contains testcases, in three separate dirs.

I came about this problem during development of a script that 
generates git commands to rebase a graph, with all its wanted 
sub graphs, starting at one commit onto another commit. The 
"runtest" script is the output of this script, hence the 
strange looking branchnames during its operation.

regards,
-- 
Danny
Op zaterdag 16 april 2011 om 00:45 schreef D. A. van Delft:
> Hi,
> 
> not sure if this is the right place, but I couldn't find a
> bugzilla or something for git.
> 
> Point is, I have found a scenario where sometimes git fails
> on a specific merge.
> Each time I start with the same identical git repository
> (archived once and restored each time before a run) and run
> the same fixed series of rebases and merges on it. Once in
> a while it fails with a merge conflict, sometimes at first
> try, sometimes after 10+ times. I have a canned set of
> testcases which reproduces this behaviour. I have also
> narrowed it down somewhat on how to work around, or
> prevent it from occurring.
> 
> However, given that it doesn't always fail or succeed, is
> unexpected.
> 
> regards,
> Danny A. van Delft